window.Gleam.initSearch([{"doc":"gserde","title":"gserde","content":"# gserde\n\n**warning**: alpha package with poor code hygiene, including assert/panic/todo\nstatements. Use understanding that this package is not ready for primetime.\n\n[![Package Version](https://img.shields.io/hexpm/v/gserde)](https://hex.pm/packages/gserde)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gserde/)\n\n```sh\ngleam add gserde\n```\n\n## usage\n\n1. Create custom type with a singular variant constructor:\n2. Run `gleam run -m gserde`\n3. Observe `src/foo_json.gleam`, which has the goodies you need for json (de)serialization.\n\n```gleam\n// src/foo.gleam\nimport gleam/option.{type Option}\npub type FooJSON {\n  Foo(\n    a_bool: Bool,\n    b_int: Int,\n    c_float: Float,\n    d_two_tuple: #(Int, String),\n    e_option_int: Option(Int),\n    f_string_list: List(String),\n  )\n}\n\n// src/my_module.gleam\nimport foo\nimport foo_json\n\npub fn serialization_identity_test() {\n  let foo_1 = foo.Foo(..)\n\n  let foo_2 = foo_1\n    |&gt; foo_json.to_string // 👀\n    |&gt; foo_json.from_string // 👀\n\n  foo_1 == foo_2\n}\n```\n\n## todo\n\n- [ ] complete all cases\n- [ ] remove all invocations of assert/panic/todo\n- [ ] support non-gleam primitive types\n- [ ] handle all module references properly\n\nFurther documentation can be found at &lt;https://hexdocs.pm/gserde&gt;.\n\n## Development\n\n```sh\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"request","title":"Request","content":"pub type Request {\n  Request(\n    src_module_name: String,\n    type_name: String,\n    variant: glance.Variant,\n    ser: Bool,\n    de: Bool,\n  )\n}\n\nRequest(\n  src_module_name: String,\n  type_name: String,\n  variant: glance.Variant,\n  ser: Bool,\n  de: Bool,\n)\n\n\nSynonyms:\nrequest.Request\nrequest Request","url":"request.html#Request"},{"doc":"request","title":"request","content":"","url":"request.html"},{"doc":"gserde","title":"gen","content":"pub fn gen(req: Request) -&gt; #(Request, String)\n\nSynonyms:\ngserde.gen\ngserde gen","url":"gserde.html#gen"},{"doc":"gserde","title":"main","content":"pub fn main() -&gt; Nil\n\nSynonyms:\ngserde.main\ngserde main","url":"gserde.html#main"},{"doc":"gserde","title":"process_single","content":"pub fn process_single(src_filename: String) -&gt; Nil\n\nSynonyms:\ngserde.process_single\ngserde process_single","url":"gserde.html#process_single"},{"doc":"gserde","title":"gserde","content":"","url":"gserde.html"}]);